Debian Bug report logs - #667399
tripwire: ftbfs with GCC-4.7

version graph

Package: tripwire; Maintainer for tripwire is Alberto Gonzalez Iniesta <agi@inittab.org>; Source for tripwire is src:tripwire.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:40:57 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version tripwire/2.4.2.2-1

Fixed in versions tripwire/2.4.2.2-1.1, tripwire/2.4.2.2-2

Done: Alberto Gonzalez Iniesta <agi@inittab.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#667399; Package tripwire. (Tue, 03 Apr 2012 23:41:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Alberto Gonzalez Iniesta <agi@inittab.org>. (Tue, 03 Apr 2012 23:41:01 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: tripwire: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:12:58 +0000
Package: tripwire
Version: 2.4.2.2-1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

algebra.h:276:2: error: 'Equal' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/tripwire_2.4.2.2-1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o cryptlib.o cryptlib.cpp
cryptlib.cpp: In member function 'virtual void StreamCipher::ProcessString(byte*, unsigned int)':
cryptlib.cpp:47:45: warning: operation on 'inoutString' may be undefined [-Wsequence-point]
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o des.o des.cpp
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o dessp.o dessp.cpp
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o elgamal.o elgamal.cpp
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o eprecomp.o eprecomp.cpp
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o filters.o filters.cpp
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o forkjoin.o forkjoin.cpp
g++ -DHAVE_CONFIG_H		  -I.. -I../..    -O -pipe -Wall -Wno-non-virtual-dtor -c -o integer.o integer.cpp
integer.cpp: In function 'void MontgomeryReduce(word*, word*, const word*, const word*, const word*, unsigned int)':
integer.cpp:743:8: warning: unused variable 'carry' [-Wunused-variable]
integer.cpp: In function 'void CorrectQuotientEstimate(word*, word*, word&, word&, const word*, unsigned int)':
integer.cpp:903:7: warning: unused variable 'borrow' [-Wunused-variable]
integer.cpp: In member function 'Integer& Integer::operator++()':
integer.cpp:1617:8: warning: unused variable 'borrow' [-Wunused-variable]
In file included from modarith.h:9:0,
                 from integer.cpp:5:
algebra.h: In instantiation of 'T AbstractEuclideanDomain<T>::Gcd(const Element&, const Element&) const [with T = Integer; AbstractEuclideanDomain<T>::Element = Integer]':
integer.cpp:2111:46:   required from here
algebra.h:276:2: error: 'Equal' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
algebra.h:276:2: note: declarations in dependent base 'AbstractGroup<Integer>' are not found by unqualified lookup
algebra.h:276:2: note: use 'this->Equal' instead
make[4]: *** [integer.o] Error 1
make[4]: Leaving directory `/«PKGBUILDDIR»/src/cryptlib'
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#667399; Package tripwire. (Wed, 04 Apr 2012 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Alberto Gonzalez Iniesta <agi@inittab.org>. (Wed, 04 Apr 2012 18:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 667399@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667399@bugs.debian.org
Subject: Re: Bug#667399: tripwire: ftbfs with GCC-4.7
Date: Wed, 4 Apr 2012 20:18:22 +0200
[Message part 1 (text/plain, inline)]
tag 667399 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: tripwire
> Version: 2.4.2.2-1
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch. No intent to NMU here.

Mraw,
KiBi.
[tripwire+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 18:21:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#667399; Package tripwire. (Mon, 07 May 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alberto Gonzalez Iniesta <agi@inittab.org>. (Mon, 07 May 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #19 received at 667399@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 667399@bugs.debian.org
Subject: Plan to fix this RC bug
Date: Mon, 7 May 2012 20:13:14 +0200
[Message part 1 (text/plain, inline)]
I plan to try fixing this RC bug by using KiBi's patch.

-- 


[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Thu, 24 May 2012 08:57:34 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Thu, 24 May 2012 08:57:35 GMT) Full text and rfc822 format available.

Message #24 received at 667399-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 667399-close@bugs.debian.org
Subject: Bug#667399: fixed in tripwire 2.4.2.2-1.1
Date: Thu, 24 May 2012 08:55:09 +0000
Source: tripwire
Source-Version: 2.4.2.2-1.1

We believe that the bug you reported is fixed in the latest version of
tripwire, which is due to be installed in the Debian FTP archive:

tripwire_2.4.2.2-1.1.debian.tar.gz
  to main/t/tripwire/tripwire_2.4.2.2-1.1.debian.tar.gz
tripwire_2.4.2.2-1.1.dsc
  to main/t/tripwire/tripwire_2.4.2.2-1.1.dsc
tripwire_2.4.2.2-1.1_i386.deb
  to main/t/tripwire/tripwire_2.4.2.2-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated tripwire package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 May 2012 07:05:29 +0200
Source: tripwire
Binary: tripwire
Architecture: source i386
Version: 2.4.2.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 tripwire   - file and directory integrity checker
Closes: 657170 667399 672740
Changes: 
 tripwire (2.4.2.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include and
     by adding “this->” when needed (Closes: #667399).
     Patch by Cyril Brulebois.
   * Fix pending l10n issues. Debconf translations:
     - Dutch; (Jeroen Schot).  Closes: #657170
     - Polish (Michał Kułach).  Closes: #672740
Checksums-Sha1: 
 3dafec3a7927e96d7fc459da6fcbe3f9dc94d2e5 1754 tripwire_2.4.2.2-1.1.dsc
 86ecf05293ecba07e0c28f8b89c3af71359bcd44 927924 tripwire_2.4.2.2.orig.tar.gz
 d562558bcf161102884db8c6b67758cc5113b0dc 136646 tripwire_2.4.2.2-1.1.debian.tar.gz
 b86fa80df8cbc23605babcc7bcd00bbe36558527 3386242 tripwire_2.4.2.2-1.1_i386.deb
Checksums-Sha256: 
 d86c89980b21bf4849f6ea0082eecfc037fa3f18a3f934611229ebaf11c7e8d0 1754 tripwire_2.4.2.2-1.1.dsc
 49ed7f19b0cf5e52ad8e557271fae13c1d301b5f5f3f4de83839eac50519d99b 927924 tripwire_2.4.2.2.orig.tar.gz
 db3401818562b929d6255e7b27d5a6469183cf0d7343c0d58828a7db193193f5 136646 tripwire_2.4.2.2-1.1.debian.tar.gz
 bdd7dd98187283aa139ea483a77b456374a5b838ac256ed892094ba32b72d741 3386242 tripwire_2.4.2.2-1.1_i386.deb
Files: 
 13241ca100bdbe8c1d917b20025e5c31 1754 utils optional tripwire_2.4.2.2-1.1.dsc
 769fc9e788f5ebaf9c9f4eb190f167bc 927924 utils optional tripwire_2.4.2.2.orig.tar.gz
 6baf17fbb70e3fadd2dc8ea81d261500 136646 utils optional tripwire_2.4.2.2-1.1.debian.tar.gz
 82ebac0e1ad440188bb97d4a1fab0201 3386242 utils optional tripwire_2.4.2.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT7S0iocvcCxNbiWoAQJSwBAAxyE4qEMgmVJTRkhnjxvwaRSoAnKKRB+p
aWSuFzG9C9W9RvwnGkiT8e0MSjJN4ETP6e5t6TaIDXJmR7ixNle0rRz2irh8iehI
6AATSth+OTCsg/4B6k24abuyAbRfNDkTq000j12jEZ5mR/7EWiem+f/LV9YFc9qj
9Prw0T/fH7KzP4fOjOR9p5YKpFGAuPRWCJkMhrYSKBOa1it46hMslKRRWKTfnwzi
B4RrVrX59ttqfwCItVjGNnC8qydIs+q4n5GOIPF1JH5D7mavVv8pJc+uNyZZk1nB
ecCDzAuOgwCi7anmeXJflNB2TkzX4GuDGpkTG4AaZOcq4+dAg2m9CgcmHQlRNnCB
rpkcw3gIHVBwf3Nq1mQCKue5/C0MfwT+bTNuvJ9g3VLqvpwI6cZBN0XNX95/L3ea
a+U7uCctrmMasZ2J51TvkndP1yYkZZwPTPiXVRqjc/UP+ytnlWNmwsJyz6+X+Uks
cOMkxNmJhYiehQYfl6/Q84cRJ7AcFJkJiqZui5Im9K7ljTKohfq8Pao5J2lMvviI
8zbNAwn8SdRKFu7Ty8T28gsieg07fllukYwtsI7au4QaswEm9aDQ1uI013tdI599
xePWNUla3W1gvkTdxiICgc6z/iEi2BJBs4bqjxqQJ1UAfXNgruhAplfktVnS8BLr
9Ec9i8vfKJI=
=fmeH
-----END PGP SIGNATURE-----





Reply sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
You have taken responsibility. (Tue, 05 Jun 2012 11:41:38 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 05 Jun 2012 11:41:41 GMT) Full text and rfc822 format available.

Message #29 received at 667399-close@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: 667399-close@bugs.debian.org
Subject: Bug#667399: fixed in tripwire 2.4.2.2-2
Date: Tue, 05 Jun 2012 11:36:04 +0000
Source: tripwire
Source-Version: 2.4.2.2-2

We believe that the bug you reported is fixed in the latest version of
tripwire, which is due to be installed in the Debian FTP archive:

tripwire_2.4.2.2-2.debian.tar.gz
  to main/t/tripwire/tripwire_2.4.2.2-2.debian.tar.gz
tripwire_2.4.2.2-2.dsc
  to main/t/tripwire/tripwire_2.4.2.2-2.dsc
tripwire_2.4.2.2-2_i386.deb
  to main/t/tripwire/tripwire_2.4.2.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alberto Gonzalez Iniesta <agi@inittab.org> (supplier of updated tripwire package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Jun 2012 10:45:08 +0200
Source: tripwire
Binary: tripwire
Architecture: source i386
Version: 2.4.2.2-2
Distribution: unstable
Urgency: low
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Changed-By: Alberto Gonzalez Iniesta <agi@inittab.org>
Description: 
 tripwire   - file and directory integrity checker
Closes: 657170 667399 672740
Changes: 
 tripwire (2.4.2.2-2) unstable; urgency=low
 .
   * Acknowledge Christian's NMU. Thank you!
       Closes: #667399, #657170, #672740
   * Do not delete upstream's files on dh_clean.
Checksums-Sha1: 
 7cd952728788781c8f3f1cc6861b82e62427cb74 1116 tripwire_2.4.2.2-2.dsc
 20a931342b6e50b5f98d16d0817a2ca5978f45fa 138576 tripwire_2.4.2.2-2.debian.tar.gz
 6f449042fa953bab51ca0e9333b9bc87d934c529 3387210 tripwire_2.4.2.2-2_i386.deb
Checksums-Sha256: 
 c8b9bfd64f56b4de144bc290331250929c945ad1cfde3db56cc9c5d5eee1d5c9 1116 tripwire_2.4.2.2-2.dsc
 b0b9f709c059e1322ab703447ca5f001f91f6b6d90e11953d0881dbe00c56a66 138576 tripwire_2.4.2.2-2.debian.tar.gz
 9885a14b6823941e3b643d540ae52d5f70608076345dc4c874b054ec2de8c9c8 3387210 tripwire_2.4.2.2-2_i386.deb
Files: 
 c0227f63d7f8e9e4f23ba01392131c35 1116 utils optional tripwire_2.4.2.2-2.dsc
 6a6344b5adbbdbc316b8ffdbf088ac1f 138576 utils optional tripwire_2.4.2.2-2.debian.tar.gz
 b24a5a1773790d3c35a974467ca674a0 3387210 utils optional tripwire_2.4.2.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/N6jMACgkQxRSvjkukAcM9ogCghwk0zGsiWDvcGAFXdDIBH0Uu
3DAAoOpkO7i0aRZ3B3R72N6I9LKAndfY
=JFUm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2012 07:46:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:33:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.